/**********************************************************************
 *
 * sqlqueryfilter.h -- 
 * Copyright (C) 2010  New Zealand Digital Library Project
 *
 * A component of the Greenstone digital library software
 * from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *********************************************************************/

#ifndef SQLQUERYFILTER_H
#define SQLQUERYFILTER_H


#include "maptools.h"

#include "sqlfilter.h"


class sqlqueryfilterclass : public sqlfilterclass 
{
 protected:
  stringmap indexfieldmap;

 public:
  sqlqueryfilterclass ();
  virtual ~sqlqueryfilterclass ();

  void configure (const text_t &key, const text_tarray &cfgline);
  bool init (ostream &logout);

  text_t get_filter_name () { return "SQLQueryFilter"; }

  void filter (const FilterRequest_t &request,
	       FilterResponse_t &response,
	       comerror_t &err, ostream &logout);
};


#endif
